using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Telerik.WinControls.UI;
using Telerik.WinControls;

namespace RadPanelBarOutlookLike
{
    public partial class Form1 : Form
    {
        Timer timer = new Timer();
        Font font;
        Padding padding;
        RadPanelBarGroupElement lastSelected = null;  

        public Form1()
        {
            InitializeComponent();

            font = new Font("Arial", 12, FontStyle.Bold);
            padding = new Padding(0, 5, 0, 5);

            RadPanelBarVisualElement visual = this.radPanelBar1.PanelBarElement.Children[0].Children[0] as RadPanelBarVisualElement;
            visual.TextAlignment = ContentAlignment.TopLeft;
            visual.ForeColor = Color.FromArgb(21, 66, 139);
            visual.Font = font;
            visual.Padding = padding;

            timer.Interval = 1;
            timer.Tick += new EventHandler(timer_Tick);

            this.radPanelBar1.PanelBarGroupSelected += new PanelBarGroupEventHandler(radPanelBar1_PanelBarGroupSelected);

            this.radPanelBarGroupElement1.Selected = false;
            this.radPanelBarGroupElement1.Selected = true;   
        }

        void radPanelBar1_PanelBarGroupSelected(object sender, PanelBarGroupEventArgs args)
        {
            if (lastSelected != null)
            {
                RadPanelBarVisualElement resetCaption = lastSelected.GetCaptionElement();
                resetCaption.ResetValue(VisualElement.BackColorProperty);
                resetCaption.ResetValue(LightVisualElement.BackColor2Property);
                resetCaption.ResetValue(LightVisualElement.BackColor3Property);
                resetCaption.ResetValue(LightVisualElement.BackColor4Property);
                resetCaption.ResetValue(LightVisualElement.GradientPercentageProperty);
                resetCaption.ResetValue(LightVisualElement.GradientPercentage2Property);
                resetCaption.ForceReApplyStyle();
            }

            RadPanelBarVisualElement groupFill = args.Group.GetCaptionElement();
            groupFill.BackColor = Color.FromArgb(255, 217, 170);
            groupFill.BackColor2 = Color.FromArgb(255, 175, 68);
            groupFill.BackColor3 = Color.FromArgb(255, 175, 68);
            groupFill.BackColor4 = Color.FromArgb(254, 219, 116);
            groupFill.GradientPercentage = 0.3307494f;
            groupFill.GradientPercentage2 = 0.6356589f;

            lastSelected = args.Group;

            timer.Start();
        }

        void timer_Tick(object sender, EventArgs e)
        {
            RadPanelBarVisualElement visual = this.radPanelBar1.PanelBarElement.Children[0].Children[0] as RadPanelBarVisualElement;
            visual.TextAlignment = ContentAlignment.TopLeft;
            visual.ForeColor = Color.FromArgb(21, 66, 139);
            visual.Font = font;
            visual.Padding = padding;

            timer.Stop();
        }
    }
}